%input {
  width: 100%;
  padding: var(--spacer-tiny) var(--spacer-small);
  border: none;
  border-radius: var(--border-radius);
  background-color: var(--background-color);
  color: currentcolor;
  outline: none;

  &[required] {
    background-color: var(--state-color-red);
    color: var(--state-color-red-alt);
  }

  &[disabled] {
    background-color: var(--state-color-mute);
    color: var(--state-color-mute-alt);
    cursor: not-allowed;
  }

  &[readonly] {
    background-color: var(--state-color-mute);
    color: var(--state-color-mute-alt);
  }

  &:invalid {
    background-color: var(--state-color-orange);
    color: var(--state-color-orange-alt);
  }

  &:valid {
    background-color: var(--state-color-green);
    color: var(--state-color-green-alt);
  }

  &::placeholder {
    color: var(--state-color-mute);
  }
}
